#ifndef SAUNACONTROL_H
#define SAUNACONTROL_H
#include <QObject>

class SaunaControl : public QObject {
    Q_OBJECT
    Q_PROPERTY(int temp READ temp WRITE setTemp NOTIFY tempChanged)
public:
    explicit SaunaControl();
    void setTemp(int newTemp);
    int temp();
signals:
    void tempChanged();
public slots:
    void setSaunaPower(bool power);
private:
    int temperature;
};
#endif // SAUNACONTROL_H
