#include <QtGui/QGuiApplication>
#include <QQmlContext>
#include "qtquick2applicationviewer.h"
#include "saunacontrol.h"

int main(int argc, char *argv[]) {
    QGuiApplication app(argc, argv);
    QtQuick2ApplicationViewer viewer;
    QStringList tempHistoryData;
    tempHistoryData << "30" << "42" << "50" << "66" << "75";
    viewer.rootContext()->setContextProperty("tempHistory", QVariant::fromValue(tempHistoryData));
    SaunaControl saunaControl;
    viewer.rootContext()->setContextProperty("saunaControl", &saunaControl);
    viewer.setMainQmlFile(QStringLiteral("qml/skrolli-sauna/main.qml"));
    viewer.showExpanded();
    saunaControl.setTemp(64);
    return app.exec();
}
